// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../../core/query/Query";
export class IsOperatorForPartitionQueryResponse {
    payload;
    constructor(payload) {
        this.payload = payload;
    }
}
export class IsOperatorForPartitionQuery extends Query {
    securityId;
    partitionId;
    operatorId;
    targetId;
    constructor(securityId, partitionId, operatorId, targetId) {
        super();
        this.securityId = securityId;
        this.partitionId = partitionId;
        this.operatorId = operatorId;
        this.targetId = targetId;
    }
}
